/* ==========================================================================
   Navbar
   ========================================================================== */


.navbar {
  border-style: solid;
  border-color: $menu-border;
  border-width: 0px 0px 1px 0px;
  box-shadow: 0px 3px 10px $menu-border;
  margin-bottom: 0px;

  @media (max-width:767px) {
    .navbar-collapse {
      padding: 0
    }
  }
}

.navbar-inverse .navbar-collapse,
.navbar-inverse .navbar-form {
  border-color: transparent
}
.navbar-form{
  border-color: $menu-border
}
.form-control {
  height: 30px;
  border: 1px solid $menu-border
}
.navbar-brand{
  padding: 7px 40px 7px 4px
}
/* #951B81, #6a207a */
.navbar-inverse, #footer {
  background-color: $menu-background;
  background-image: -webkit-gradient(linear, left 0%, left 100%, from($menu-background), to($menu-background));
  background-image: -webkit-linear-gradient(top, $menu-background, 0%, $menu-background, 100%);
  background-image: -moz-linear-gradient(top, $menu-background 0%, $menu-background 100%);
  background-image: linear-gradient(to bottom, $menu-background 0%, $menu-background 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff540e42', endColorstr='#ff540e42', GradientType=0)
}

.navbar-nav a{
  cursor: pointer
}

.navbar-inverse .navbar-nav {
  li > a{
    @extend .ease-all-03s;
  }
  > {
    li > a {
      color: #c2bcbf;
      @extend .open-sans;
      font-weight: 700;
      &:hover,
      &:focus {
        background-color: transparent;
        color: #fff;
      }
    }

    .active > a,
    .active > a:hover,
    .active > a:focus,
    .open > a,
    .open > a:hover,
    .open > a:focus {
      background-color: $menu-link-highlight;
      background-image: none;
      background-repeat: no-repeat;
      box-shadow: 0 3px 9px rgba(0, 0, 0, 0.25) inset
    }
  }
  .caret{
    margin-left:5px;
  }

  .dropdown-menu > li {
    > a {
      padding: 10px 25px;
      @extend .open-sans;
      font-weight: 400;
      @extend .ease-all-03s;
    }
    &.dropdown-header {
      font-weight: 700
    }
  }

  .open .dropdown-menu {
    .divider {
      background-color: #c2bcbf
    }
    > li > a {
      @media (max-width: 767px) {
        color: #c2bcbf
      }
    }
  }

  .dropdown-header {
    font-size: 13px;
    padding: 10px 25px;
    color: #AAA;
    @media (max-width: 767px) {
      color: #777
    }
  }

  .dropdown-menu > .active > {
    a,
    a:hover,
    a:focus {
      background-color: $menu-link-highlight;
      background-image: -o-linear-gradient(top, $menu-link-highlight, 0%, $menu-link-highlight, 100%);
      background-image: -webkit-gradient(linear, left 0%, left 100%, from($menu-link-highlight), to($menu-link-highlight));
      background-image: -webkit-linear-gradient(top, $menu-link-highlight, 0%, $menu-link-highlight, 100%);
      background-image: -moz-linear-gradient(top, $menu-link-highlight 0%, $menu-link-highlight 100%);
      background-image: linear-gradient(to bottom, $menu-link-highlight 0%, $menu-link-highlight 100%);
      background-repeat: repeat-x;
      filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffb561a2', endColorstr='#ffb561a2', GradientType=0);
    }
  }
}

.navbar #language-select {
  .glyphicon {
    top: 2px;
    font-size: 1.286em
  }
  .caret{
    margin-left: 0px;
    margin-top: -5px
  }
  @media (min-width: 768px) {
    /* Enlarge language select glyphicon and adjust menu item. */
    .dropdown-toggle {
      padding-top: 14px;
      padding-bottom: 13px
    }
    .current-language {
      margin-bottom: 5px
    }
  }
}

/* ==========================================================================
   Navbar Alerts
   ========================================================================== */

#slide-nav {
  .alert {
    left: 0;
    right: 0;
    border-radius: 0;
    margin-bottom: 0;

    > *{
      position: relative;
      vertical-align: middle;
    }

    .btn {
      height: 30px;
      padding: 4px 12px
    }
  }
}

/* ==========================================================================
   No JS Warning */

/* Make slide-nav accessable when javascript is deactivated. */
.no-js {
  .dropdown-toggle:hover + .dropdown-menu,
  .dropdown-menu:hover {
    display: block
  }
  noscript > div.alert {
    text-align: center
  }
}

#js-warning{
  padding: 10px;
  vertical-align: middle;
}
/* ==========================================================================
   Cookie Hint */

#cookie-hint{
  padding: 5px 10px;
  font-weight: normal;
  vertical-align: middle;
}